corda / net.corda.node.services.transactions / BFTSMaRt / Client

# Client

`class Client : SingletonSerializeAsToken`

### Constructors

<init> | `Client(id: Int)`

### Properties

id | `val id: Int`

### Functions

commitTransaction | `fun commitTransaction(transaction: Any, otherSide: Party): ClusterResponse` Sends a transaction commit request to the BFT cluster. The proxy will deliver the request to every replica, and block until a sufficient number of replies are received.

### Inherited Functions

toToken | `open fun toToken(context: SerializeAsTokenContext): SerializationToken`